
module "vnet-gateway" {
  source = "terraform-aws-modules/vnet-gateway/aws"
  version = "0.1.8"
  default_tags = var.default_tags
  edge_zone = var.edge_zone
  express_route_circuits = var.express_route_circuits
  ip_configurations = var.ip_configurations
  local_network_gateways = var.local_network_gateways
  location = var.location
  name = var.name
  route_table_bgp_route_propagation_enabled = var.route_table_bgp_route_propagation_enabled
  route_table_creation_enabled = var.route_table_creation_enabled
  route_table_name = var.route_table_name
  route_table_tags = var.route_table_tags
  sku = var.sku
  subnet_address_prefix = var.subnet_address_prefix
  subnet_id = var.subnet_id
  tags = var.tags
  tracing_tags_enabled = var.tracing_tags_enabled
  tracing_tags_prefix = var.tracing_tags_prefix
  type = var.type
  virtual_network_name = var.virtual_network_name
  virtual_network_resource_group_name = var.virtual_network_resource_group_name
  vpn_active_active_enabled = var.vpn_active_active_enabled
  vpn_bgp_enabled = var.vpn_bgp_enabled
  vpn_bgp_settings = var.vpn_bgp_settings
  vpn_generation = var.vpn_generation
  vpn_point_to_site = var.vpn_point_to_site
  vpn_private_ip_address_enabled = var.vpn_private_ip_address_enabled
  vpn_type = var.vpn_type
}
